#! /bin/bash
#
# LinQuotaService
#
# chkconfig: 2345 96 66
# description:	LinQuotaService
#
# processname: LinQuotaService
# pidfile: /var/run/LinQuotaService.pid

# Source function library.
. /etc/init.d/functions

RETVAL=0

# See how we were called.

CurDir=InstallPath
prog=$CurDir/bin/LinQuotaService

start() {
        if [ ! -f "$pidfile" ]; then
		echo -n $"Starting LinQuotaService: "
		$prog &
		sleep 2
		RETVAL=$?
		echo
		[ $RETVAL -eq 0 ]
		return $RETVAL
	else
		echo "LinQuotaService already running"
	fi
}

stop() {
	echo -n $"Stopping LinQuotaService: "
	killproc LinQuotaService
	sleep 2
	RETVAL=$?
	echo
	[ $RETVAL -eq 0 ]
	return $RETVAL
}	

restart() {
  	stop
	start
}

rhstatus() {
        status LinQuotaService
        RETVAL=$?
}       
	

case "$1" in
  start)
  	start
	;;
  stop)
  	stop
	;;
  restart)
  	restart
	;;
  status)
        rhstatus
        ;;

  *)

        echo $"Usage: $0 {start|stop|restart}"
	exit 1
esac

exit $?
